'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 应用发布记录SDK（API）
 */
exports.default = {

    /**
     * 添加发布记录
     * 
     * @param {*} data 标签分类数据
     */
    add: function add(data) {

        return _vue2.default.prototype.$fetch({
            url: 'application/release/create',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 更新发布记录
     * 
     * @param {*} data 标签分类信息
     */
    update: function update(data) {

        return _vue2.default.prototype.$fetch({
            url: 'application/release/update',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 删除发布记录
     * 
     * @param {*} id 
     */
    delete: function _delete(id) {

        return _vue2.default.prototype.$fetch({
            url: 'application/release/remove/' + id,
            method: 'GET',
            dataType: 'JSON'
        });
    },


    /**
     * 获取应用发布列表
     * 
     */
    getList: function getList() {

        return _vue2.default.prototype.$fetch({
            url: 'application/release/list',
            method: 'GET',
            dataType: 'JSON'
        });
    },


    /**
     * 获取应用发布信息
     * 
     * @param {*} corp 
     * @param {*} type 
     */
    get: function get(id) {

        return _vue2.default.prototype.$fetch({
            url: 'application/release/get/' + id,
            method: 'GET',
            dataType: 'JSON'
        });
    }
};