'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    // =========================================
    //  获取用户的待办任务列表
    // =========================================
    getUserTodoTask: function getUserTodoTask(userId, param) {
        var filter = JSON.stringify(param);
        return _vue2.default.prototype.$fetch({
            url: '/task/todo/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },


    // =========================================
    //  获取用户的已办任务列表
    // =========================================
    getUserDoneTask: function getUserDoneTask(userId, param) {
        var filter = JSON.stringify(param);
        return _vue2.default.prototype.$fetch({
            url: '/task/done/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },


    // =========================================
    //  获取用户的待阅任务列表
    // =========================================
    getUserReadTodoTask: function getUserReadTodoTask(userId, param) {
        var filter = JSON.stringify(param);
        return _vue2.default.prototype.$fetch({
            url: '/task/readTodo/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },


    // =========================================
    //  获取用户的已阅任务列表
    // =========================================
    getUserReadDoneTask: function getUserReadDoneTask(userId, param) {
        var filter = JSON.stringify(param);
        return _vue2.default.prototype.$fetch({
            url: '/task/readDone/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },


    // =========================================
    //  获取用户信息
    // =========================================
    getUserInfo: function getUserInfo(userId) {
        var params = { userid: userId };
        return _vue2.default.prototype.$fetch({
            url: '/user/get',
            method: 'GET',
            dataType: 'JSON',
            params: params
        });
    }
};