'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 应用市场管理SDK（API）
 */
exports.default = {

    /**
     * 获取应用列表
     */
    getAppList: function getAppList() {
        return _vue2.default.prototype.$fetch({
            url: '/app/list',
            method: 'GET',
            dataType: 'JSON',
            params: {}
        });
    },


    /**
     * 发布应用
     * 
     * @param {*} data 
     */
    publish: function publish(data) {
        return _vue2.default.prototype.$fetch({
            url: '/app/create',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 更新应用信息
     * 
     * @param {*} data 
     */
    updateApplication: function updateApplication(data) {
        return _vue2.default.prototype.$fetch({
            url: '/app/update',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 删除应用
     * 
     * @param {string} appid 应用编号
     */
    delApplication: function delApplication(appid) {
        return _vue2.default.prototype.$fetch({
            url: '/app/delete/' + appid,
            method: 'GET',
            dataType: 'JSON'
        });
    },


    /**
     * 部署应用
     * 
     * @param {应用编号}} appid 
     */
    deployApplication: function deployApplication(data) {
        console.log(data);
        return _vue2.default.prototype.$fetch({
            url: '/app/deploy',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 下载应用
     * 
     * @param {*} data 
     */
    downloadApplication: function downloadApplication(data) {
        return _vue2.default.prototype.$fetch({
            url: '/app/download',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    }
};