'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {

  /**
   * 给角色进行批量授权,数据已对象列表的方式提交后台处理，提交时提交该角色的
   * 全部权限，包括应用开关、功能权限和数据权限
   *
   * @param entid         企业号ID
   * @param functiontype  功能类型（0:应用、1:菜单、2:功能、3:数据）
   * @param functionid    对象编号
   * @param roleId        角色编号
   */
  greantPermissionBatch: function greantPermissionBatch(data) {

    return _vue2.default.prototype.$fetch({
      url: '/rbac/role/batchgrant',
      method: 'POST',
      dataType: 'JSON',
      data: data
    });
  },


  /**
  * 给角色进行批量授权,数据已对象列表的方式提交后台处理，提交时提交该角色的
  * 全部权限，包括应用开关、功能权限和数据权限
  *
  * @param entid         企业号ID
  * @param functiontype  功能类型（0:应用、1:菜单、2:功能、3:数据）
  * @param functionid    对象编号
  * @param roleId        角色编号
  */
  greantPermissionMobile: function greantPermissionMobile(data) {

    return _vue2.default.prototype.$fetch({
      url: '/rbac/role/grant/mobile',
      method: 'POST',
      dataType: 'JSON',
      data: data
    });
  },


  /**
   * 根据企业号和角色编号，查询角色所拥有的权限。
   *
   * @param entid         企业号ID
   * @param roleId        角色编号
   */
  rolePermissions: function rolePermissions(entid, roleid) {
    var param = {
      entid: entid,
      role: roleid
    };
    return _vue2.default.prototype.$fetch({
      url: 'rbac/role/permissions',
      method: 'GET',
      dataType: 'JSON',
      params: param
    });
  }
};