'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {

    // =========================================
    //  获取定时任务列表数据
    // =========================================
    list: function list(data) {
        return _vue2.default.prototype.$fetch({
            url: '/task/list',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    // =========================================
    //  添加定时任务数据
    // =========================================
    add: function add(data) {
        return _vue2.default.prototype.$fetch({
            url: '/task/add',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    // =========================================
    //  删除定时任务数据（支持批量）
    // =========================================
    delete: function _delete(data) {
        return _vue2.default.prototype.$fetch({
            url: '/task/delete',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    // =========================================
    //  更新定时任务数据
    // =========================================
    update: function update(data) {
        return _vue2.default.prototype.$fetch({
            url: '/task/update',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    // =========================================
    //  获取定时任务数据
    // =========================================
    get: function get(params) {
        return _vue2.default.prototype.$fetch({
            url: '/task/get',
            method: 'GET',
            dataType: 'JSON',
            params: params
        });
    },


    // =========================================
    //  获取计划任务下拉选择列表
    // =========================================
    select: function select() {
        return _vue2.default.prototype.$fetch({
            url: '/task/select',
            method: 'GET',
            dataType: 'JSON'
        });
    },


    // =========================================
    //  查询任务的运行记录
    // =========================================
    getLogList: function getLogList(taskId, querys) {
        return _vue2.default.prototype.$fetch({
            url: '/task/log/list',
            method: 'POST',
            dataType: 'JSON',
            params: { 'taskId': taskId, 'page': JSON.stringify(querys) }
        });
    },


    // =========================================
    //  查询任务的数据记录
    // =========================================
    getRecordList: function getRecordList(filter) {
        return _vue2.default.prototype.$fetch({
            url: '/task/record/list',
            method: 'POST',
            dataType: 'JSON',
            params: { filter: JSON.stringify(filter) }
        });
    }
};