'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 服务器管理SDK（API）
 */
exports.default = {

    /**
     * 添加服务器
     * 
     * @param {*} data 标签分类数据
     */
    add: function add(data) {

        return _vue2.default.prototype.$fetch({
            url: 'server/config/create',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 更新服务器信息
     * 
     * @param {*} data 标签分类信息
     */
    update: function update(data) {

        return _vue2.default.prototype.$fetch({
            url: 'server/config/update',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 删除服务器
     * 
     * @param {*} corp 
     * @param {*} id 
     */
    delete: function _delete(corp, id) {

        return _vue2.default.prototype.$fetch({
            url: 'server/config/remove/' + corp + '/' + id,
            method: 'GET',
            dataType: 'JSON'
        });
    },


    /**
     * 获取服务器列表
     * 
     * @param {*}} entid 
     * @param {*} page 
     * @param {*} rows 
     * @param {*} data 
     */
    getList: function getList(entid) {

        return _vue2.default.prototype.$fetch({
            url: 'server/config/list/' + entid,
            method: 'GET',
            dataType: 'JSON'
        });
    },


    /**
     * 获取服务器信息
     * 
     * @param {*} corp 
     * @param {*} type 
     */
    get: function get(corp, serverId) {

        return _vue2.default.prototype.$fetch({
            url: 'server/config/get/' + corp + '/' + serverId,
            method: 'GET',
            dataType: 'JSON'
        });
    }
};