'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    addShortcut: function addShortcut(data) {
        return _vue2.default.prototype.$fetch({
            url: '/shortcut/create',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },
    removeShortcut: function removeShortcut(userId, appId, linkType) {
        var params = {
            userid: userId,
            appid: appId,
            linktype: linkType
        };

        return _vue2.default.prototype.$fetch({
            url: '/shortcut/remove',
            method: 'GET',
            dataType: 'JSON',
            params: params
        });
    },
    getUserShortcut: function getUserShortcut(userId) {
        return _vue2.default.prototype.$fetch({
            url: '/shortcut/list',
            method: 'GET',
            dataType: 'JSON',
            params: { userid: userId }
        });
    },


    /**
     * 获取电脑端用户可使用的应用
     *
     * @param {*} userId 用户编号
     */
    getAuthorizedApplications: function getAuthorizedApplications(corporationId, userId) {
        var params = {
            entId: corporationId,
            userid: userId
        };

        return _vue2.default.prototype.$fetch({
            url: '/um/pc/user/app/list',
            method: 'GET',
            dataType: 'JSON',
            params: params
        });
    }
};