'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 标签对象管理SDK（API）
 */
exports.default = {

    /**
     * 添加标签的对象
     * 
     * @param {*} data 标签分类数据
     */
    add: function add(data) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/subject/add',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 删除标签对象
     * 
     * @param {*} corp 
     * @param {*} id 
     */
    delete: function _delete(corp, id) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/subject/delete/' + corp + '/' + id,
            method: 'GET',
            dataType: 'JSON'
        });
    },


    /**
     * 获取该标签下的对象列表
     * 
     * @param {*}} entid 
     * @param {*} page 
     * @param {*} rows 
     * @param {*} data 
     */
    getList: function getList(corp, id, page) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/subject/list/' + corp + '/' + id,
            method: 'GET',
            dataType: 'JSON',
            params: { page: JSON.stringify(page) }
        });
    },


    /**
     * 获取部门下角色配置信息
     * 
     * @param {*} corp 
     * @param {*} scope 
     */
    getByScope: function getByScope(corp, scope) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/subject/scope/' + corp + '/' + scope,
            method: 'GET',
            dataType: 'JSON'
        });
    }
};