'use strict';

exports.__esModule = true;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 标签类型管理SDK（API）
 */
exports.default = {

    /**
     * 添加标签分类
     * 
     * @param {*} data 标签分类数据
     */
    add: function add(data) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/type/create',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 更新标签分类信息
     * 
     * @param {*} data 标签分类信息
     */
    update: function update(data) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/type/update',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },


    /**
     * 删除标签分类
     * 
     * @param {*} corp 
     * @param {*} id 
     */
    delete: function _delete(corp, id) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/type/delete/' + corp + '/' + id,
            method: 'GET',
            dataType: 'JSON'
        });
    },


    /**
     * 获取标签分类列表
     * 
     * @param {*}} entid 
     * @param {*} page 
     * @param {*} rows 
     * @param {*} data 
     */
    getList: function getList(entid, page, rows, data) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/types/list/' + entid + '/' + page + '/' + rows,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: JSON.stringify(data) }
        });
    },


    /**
     * 获取企业标签类型
     * 
     * @param {*} corp 
     * @param {*} type 
     */
    get: function get(corp, type) {

        return _vue2.default.prototype.$fetch({
            url: 'tag/type/' + corp + '/' + type,
            method: 'GET',
            dataType: 'JSON'
        });
    }
};