import Vue from 'vue';

export default {
    // =========================================
    //  取得企业号组织机构信息(带用户信息)
    // =========================================
    getOrgTreeHasUsers(entId) {
        return Vue.prototype.$fetch({
            url: '/org/tree/hasUsers/' + entId,
            method: 'GET',
            dataType: 'JSON'
        });
    },

    // =========================================
    //  取得企业的下级单位
    // =========================================
    getChildOrgEnable(entId, orgId) {
        return Vue.prototype.$fetch({
            url: '/org/child/enable/' + entId + '/' + orgId,
            method: 'GET',
            dataType: 'JSON'
        });
    },

    // =========================================
    //  取得企业号组织下用户信息
    // =========================================
    getOrgUserById(entId, orgId, page) {
        return Vue.prototype.$fetch({
            url: '/org/users/id/' + entId + '/' + orgId,
            method: 'GET',
            dataType: 'JSON',
            params: { page: JSON.stringify(page) }
        });
    },

    // =========================================
    //  取得历史选择数据
    // =========================================
    getHistoryList(data) {
        return Vue.prototype.$fetch({
            url: '/org/select/entity/history',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },

    // =========================================
    //  取得历史选择数据
    // =========================================
    batchInsert(data) {
        return Vue.prototype.$fetch({
            url: '/org/select/entity/batchInsert',
            method: 'POST',
            dataType: 'JSON',
            data: data
        });
    },

    // =========================================
    //  取得本部门人员
    // =========================================
    selectSameDeptUsers(entId, keyword) {
        return Vue.prototype.$fetch({
            url: '/org/select/entity/sameDeptUsers',
            method: 'GET',
            dataType: 'JSON',
            params: { entId: entId, keyword: keyword }
        });
    },

    // =========================================
    //  查询组织人员
    // =========================================
    selectOrgAndUsers(entId, keyword) {
        return Vue.prototype.$fetch({
            url: '/org/select/entity/org/user/search',
            method: 'GET',
            dataType: 'JSON',
            params: { entId: entId, keyword: keyword }
        });
    }
};
