import Vue from 'vue'

/**
 * 应用发布记录SDK（API）
 */
export default {

    /**
     * 添加发布记录
     * 
     * @param {*} data 标签分类数据
     */
    add(data) {

        return Vue.prototype.$fetch({
            url: 'application/release/create',
            method: 'POST',
            dataType:'JSON',
            data
        })

    },

    /**
     * 更新发布记录
     * 
     * @param {*} data 标签分类信息
     */
    update(data) {

        return Vue.prototype.$fetch({
            url: 'application/release/update',
            method: 'POST',
            dataType:'JSON',
            data
        })
    
    },

    /**
     * 删除发布记录
     * 
     * @param {*} id 
     */
    delete(id) {

        return Vue.prototype.$fetch({
            url: 'application/release/remove/'+ id,
            method: 'GET',
            dataType:'JSON'
        })
    
    },

    /**
     * 获取应用发布列表
     * 
     */
    getList() {

        return Vue.prototype.$fetch({
            url: 'application/release/list' ,
            method: 'GET',
            dataType:'JSON'
        })
        
    },

    /**
     * 获取应用发布信息
     * 
     * @param {*} corp 
     * @param {*} type 
     */
    get(id) {

        return Vue.prototype.$fetch({
            url: 'application/release/get/' + id,
            method: 'GET',
            dataType:'JSON'
        })
        
    }

}