import Vue from 'vue';

export default {
    // =========================================
    //  获取用户的待办任务列表
    // =========================================
    getUserTodoTask(userId, param) {
        let filter = JSON.stringify(param);
        return Vue.prototype.$fetch({
            url: '/task/todo/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },

    // =========================================
    //  获取用户的已办任务列表
    // =========================================
    getUserDoneTask(userId, param) {
        let filter = JSON.stringify(param);
        return Vue.prototype.$fetch({
            url: '/task/done/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },

    // =========================================
    //  获取用户的待阅任务列表
    // =========================================
    getUserReadTodoTask(userId, param) {
        let filter = JSON.stringify(param);
        return Vue.prototype.$fetch({
            url: '/task/readTodo/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },

    // =========================================
    //  获取用户的已阅任务列表
    // =========================================
    getUserReadDoneTask(userId, param) {
        let filter = JSON.stringify(param);
        return Vue.prototype.$fetch({
            url: '/task/readDone/' + userId,
            method: 'GET',
            dataType: 'JSON',
            params: { filter: filter }
        });
    },

    // =========================================
    //  获取用户信息
    // =========================================
    getUserInfo(userId) {
        var params = { userid: userId };
        return Vue.prototype.$fetch({
            url: '/user/get',
            method: 'GET',
            dataType: 'JSON',
            params: params
        });
    }
};
