import Vue from 'vue'

/**
 * 应用市场管理SDK（API）
 */
export default {

    /**
     * 获取应用列表
     */
    getAppList() {
        return Vue.prototype.$fetch({
            url: '/app/list',
            method: 'GET',
            dataType:'JSON',
            params:{}
        })
    },

    /**
     * 发布应用
     * 
     * @param {*} data 
     */
    publish(data) {
        return Vue.prototype.$fetch({
            url: '/app/create',
            method: 'POST',
            dataType:'JSON',
            data
        })
    },

    /**
     * 更新应用信息
     * 
     * @param {*} data 
     */
    updateApplication(data) {
        return Vue.prototype.$fetch({
            url: '/app/update',
            method: 'POST',
            dataType:'JSON',
            data
        })
    },

    /**
     * 删除应用
     * 
     * @param {string} appid 应用编号
     */
    delApplication(appid) {
        return Vue.prototype.$fetch({
            url: '/app/delete/'+ appid,
            method: 'GET',
            dataType:'JSON'
        })
    },

    /**
     * 部署应用
     * 
     * @param {应用编号}} appid 
     */
    deployApplication(data) {
        console.log(data)
        return Vue.prototype.$fetch({
            url: '/app/deploy',
            method: 'POST',
            dataType:'JSON',
            data
        })
    },
    
    /**
     * 下载应用
     * 
     * @param {*} data 
     */
    downloadApplication(data) {
        return Vue.prototype.$fetch({
            url: '/app/download',
            method: 'POST',
            dataType:'JSON',
            data
        })
    }
}