import Vue from 'vue'

export default {

    // =========================================
    //  获取定时任务列表数据
    // =========================================
    list(data) {
        return Vue.prototype.$fetch({
            url: '/task/list',
            method: 'POST',
            dataType: 'JSON',
            data
        })
    },

    // =========================================
    //  添加定时任务数据
    // =========================================
    add(data) {
        return Vue.prototype.$fetch({
            url: '/task/add',
            method: 'POST',
            dataType: 'JSON',
            data
        })
    },

    // =========================================
    //  删除定时任务数据（支持批量）
    // =========================================
    delete(data) {
        return Vue.prototype.$fetch({
            url: '/task/delete',
            method: 'POST',
            dataType: 'JSON',
            data
        })
    },

    // =========================================
    //  更新定时任务数据
    // =========================================
    update(data) {
        return Vue.prototype.$fetch({
            url: '/task/update',
            method: 'POST',
            dataType: 'JSON',
            data
        })
    },

    // =========================================
    //  获取定时任务数据
    // =========================================
    get(params) {
        return Vue.prototype.$fetch({
            url: '/task/get',
            method: 'GET',
            dataType: 'JSON',
            params: params
        })
    },

    // =========================================
    //  获取计划任务下拉选择列表
    // =========================================
    select() {
        return Vue.prototype.$fetch({
            url: '/task/select',
            method: 'GET',
            dataType: 'JSON'
        })
    },

    // =========================================
    //  查询任务的运行记录
    // =========================================
    getLogList(taskId,querys) {
        return Vue.prototype.$fetch({
            url: '/task/log/list',
            method: 'POST',
            dataType: 'JSON',
            params: {'taskId': taskId, 'page': JSON.stringify(querys)}
        })
    },

    // =========================================
    //  查询任务的数据记录
    // =========================================
    getRecordList(filter) {
        return Vue.prototype.$fetch({
            url: '/task/record/list',
            method: 'POST',
            dataType: 'JSON',
            params: {filter: JSON.stringify(filter) }
        })
    },



}