import Vue from 'vue'

/**
 * 服务器管理SDK（API）
 */
export default {

    /**
     * 添加服务器
     * 
     * @param {*} data 标签分类数据
     */
    add(data) {

        return Vue.prototype.$fetch({
            url: 'server/config/create',
            method: 'POST',
            dataType:'JSON',
            data
        })

    },

    /**
     * 更新服务器信息
     * 
     * @param {*} data 标签分类信息
     */
    update(data) {

        return Vue.prototype.$fetch({
            url: 'server/config/update',
            method: 'POST',
            dataType:'JSON',
            data
        })
    
    },

    /**
     * 删除服务器
     * 
     * @param {*} corp 
     * @param {*} id 
     */
    delete(corp,id) {

        return Vue.prototype.$fetch({
            url: 'server/config/remove/'+ corp +'/'+ id,
            method: 'GET',
            dataType:'JSON'
        })
    
    },

    /**
     * 获取服务器列表
     * 
     * @param {*}} entid 
     * @param {*} page 
     * @param {*} rows 
     * @param {*} data 
     */
    getList(entid) {

        return Vue.prototype.$fetch({
            url: 'server/config/list/'+entid ,
            method: 'GET',
            dataType:'JSON'
        })
        
    },

    /**
     * 获取服务器信息
     * 
     * @param {*} corp 
     * @param {*} type 
     */
    get(corp,serverId) {

        return Vue.prototype.$fetch({
            url: 'server/config/get/' + corp + '/'+serverId,
            method: 'GET',
            dataType:'JSON'
        })
        
    }

}