import Vue from 'vue';

export default {
    addShortcut(data) {
        return Vue.prototype.$fetch({
            url: '/shortcut/create',
            method: 'POST',
            dataType: 'JSON',
            data
        });
    },

    removeShortcut(userId, appId, linkType) {
        var params = {
            userid: userId,
            appid: appId,
            linktype: linkType
        };

        return Vue.prototype.$fetch({
            url: '/shortcut/remove',
            method: 'GET',
            dataType: 'JSON',
            params: params
        });
    },

    getUserShortcut(userId) {
        return Vue.prototype.$fetch({
            url: '/shortcut/list',
            method: 'GET',
            dataType: 'JSON',
            params: { userid: userId }
        });
    },

    /**
     * 获取电脑端用户可使用的应用
     *
     * @param {*} userId 用户编号
     */
    getAuthorizedApplications(corporationId, userId) {
        var params = {
            entId: corporationId,
            userid: userId
        };

        return Vue.prototype.$fetch({
            url: '/um/pc/user/app/list',
            method: 'GET',
            dataType: 'JSON',
            params: params
        });
    }
};
