import Vue from 'vue'

/**
 * 标签对象管理SDK（API）
 */
export default {

    /**
     * 添加标签的对象
     * 
     * @param {*} data 标签分类数据
     */
    add(data) {

        return Vue.prototype.$fetch({
            url: 'tag/subject/add',
            method: 'POST',
            dataType:'JSON',
            data
        })
    
    },

    /**
     * 删除标签对象
     * 
     * @param {*} corp 
     * @param {*} id 
     */
    delete(corp,id) {

        return Vue.prototype.$fetch({
            url: 'tag/subject/delete/'+ corp +'/'+ id,
            method: 'GET',
            dataType:'JSON'
        })
    
    },

    /**
     * 获取该标签下的对象列表
     * 
     * @param {*}} entid 
     * @param {*} page 
     * @param {*} rows 
     * @param {*} data 
     */
    getList(corp,id,page) {

        return Vue.prototype.$fetch({
            url: 'tag/subject/list/'+ corp +'/'+ id,
            method: 'GET',
            dataType:'JSON',
            params: {page:JSON.stringify(page)}
        })
    
    },

    /**
     * 获取部门下角色配置信息
     * 
     * @param {*} corp 
     * @param {*} scope 
     */
    getByScope(corp,scope) {

        return Vue.prototype.$fetch({
            url: 'tag/subject/scope/'+ corp +'/'+ scope,
            method: 'GET',
            dataType:'JSON'
        })
    
    }

}