import Vue from 'vue'

/**
 * 标签类型管理SDK（API）
 */
export default {

    /**
     * 添加标签分类
     * 
     * @param {*} data 标签分类数据
     */
    add(data) {

        return Vue.prototype.$fetch({
            url: 'tag/type/create',
            method: 'POST',
            dataType:'JSON',
            data
        })

    },

    /**
     * 更新标签分类信息
     * 
     * @param {*} data 标签分类信息
     */
    update(data) {

        return Vue.prototype.$fetch({
            url: 'tag/type/update',
            method: 'POST',
            dataType:'JSON',
            data
        })
    
    },

    /**
     * 删除标签分类
     * 
     * @param {*} corp 
     * @param {*} id 
     */
    delete(corp,id) {

        return Vue.prototype.$fetch({
            url: 'tag/type/delete/'+ corp +'/'+ id,
            method: 'GET',
            dataType:'JSON'
        })
    
    },

    /**
     * 获取标签分类列表
     * 
     * @param {*}} entid 
     * @param {*} page 
     * @param {*} rows 
     * @param {*} data 
     */
    getList(entid,page,rows,data) {

        return Vue.prototype.$fetch({
            url: 'tag/types/list/'+entid +'/' + page + '/' + rows,
            method: 'GET',
            dataType:'JSON',
            params: {filter:JSON.stringify(data)}
        })
        
    },

    /**
     * 获取企业标签类型
     * 
     * @param {*} corp 
     * @param {*} type 
     */
    get(corp,type) {

        return Vue.prototype.$fetch({
            url: 'tag/type/' + corp + '/'+type,
            method: 'GET',
            dataType:'JSON'
        })
        
    }

}